/** 
 * 
 * Copyright 2004 Protique Ltd
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); 
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at 
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, 
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 * See the License for the specific language governing permissions and 
 * limitations under the License. 
 * 
 **/
package org.activemq.transport.multicast;

import org.activemq.JmsTopicSendReceiveTest;
import org.activemq.ActiveMQConnectionFactory;
import org.activemq.broker.impl.BrokerContainerImpl;

import java.net.URI;

/**
 * @version $Revision: 1.1 $
 */
public class JmsDiscoverySendReceiveTopicTest extends JmsTopicSendReceiveTest {

    protected BrokerContainerImpl container;

    protected void setUp() throws Exception {
        // lets create a broker with multicast discovery
        container = new BrokerContainerImpl("cheese");
        container.addConnector("tcp://localhost:0");
        container.setDiscoveryAgent(new MulticastDiscoveryAgent(new URI("multicast://228.8.9.10:2677")));
        container.start();

        super.setUp();
    }

    protected void tearDown() throws Exception {
        super.tearDown();

        if (container != null) {
            container.stop();
        }
    }

    protected ActiveMQConnectionFactory createConnectionFactory() throws Exception {
          return new ActiveMQConnectionFactory("discovery://228.8.9.10:2677");
      }

}
